This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 999686 - (eap62-upgrade-hibernate425) Upgrade Hibernate to 4.2.5
Upgrade Hibernate to 4.2.5
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Hibernate (Show other bugs)
6.2.0
Unspecified Unspecified
high Severity high
: ER1
: EAP 6.2.0
Assigned To: Dave Stahl
Martin Simka
Russell Dickenson
:
Depends On: 924367 924599 924609 947946 951563 952284 977520 990587 991578 998841
Blocks: 1002284
  Show dependency treegraph
 
Reported: 2013-08-21 16:56 EDT by Dave Stahl
Modified: 2015-11-08 20:10 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:22:52 EST
Type: Component Upgrade
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Stahl 2013-08-21 16:56:01 EDT
Upgrade Hibernate to 4.2.5 for EAP 6.2
Comment 1 Brett Meyer 2013-08-21 17:05:49 EDT
I'll release Hibernate ORM 4.2.5 next week (necessary for some recent BZ tickets).
Comment 2 Martin Simka 2013-08-23 06:43:58 EDT
@Brett do you plan to incorporate also HHH-5222 or just listed BZs? HHH-5222 doesn't have BZ and isn't in 4.2.0.SP1
Comment 3 Brett Meyer 2013-08-23 08:57:49 EDT
Martin, HHH-5222 was way back in ORM 4.0.0.  Confused...
Comment 4 Zbyněk Roubalík 2013-08-23 09:27:21 EDT
@Brett: I think Martin is speaking about this test fix commit, not about the whole issue described in HHH-5222: 
https://github.com/hibernate/hibernate-orm/commit/b5d2f455f0bdda0afd5e7c5d963ea2756bac0151
Comment 5 Brett Meyer 2013-08-23 11:54:53 EDT
My mistake for committing that without a ticket #.  Yes, this is a full upgrade to upstream ORM 4.2.5, so any fixes in the 4.2 branch will be included.
Comment 8 Martin Simka 2013-09-20 07:55:20 EDT
verified on EAP 6.2.0.ER1

Note You need to log in before you can comment on or make changes to this bug.